using SqlSugar;
using System;

namespace YBDevice.Entity
{
    /// <summary>
    /// 科普资讯
    /// </summary>
    [SugarTable("YB_nSecInfo", TableDescription = "科普资讯", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_nSecInfo
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }

        /// <summary>
        /// 类型,1-文本,2-链接,3-跳转小程序
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-文本,2-链接,3-跳转小程序")]
        public AdType Type { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", ColumnDataType = "nvarchar(100)")]
        public string Title { get; set; }

        /// <summary>
        /// 所属分组ID
        /// </summary>
        [SugarColumn(ColumnDescription = "所属分组ID")]
        public int TagId { get; set; }

        /// <summary>
        /// 封面图片地址
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", ColumnDataType = "varchar(100)")]
        public string HeadImg { get; set; }

        /// <summary>
        /// 点击次数
        /// </summary>
        [SugarColumn(ColumnDescription = "点击次数")]
        public int ClickCount { get; set; }

        /// <summary>
        /// 状态,0-未开启,1-正常运行,2-已关闭
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-未开启,1-正常运行,2-已关闭")]
        public AdStatus Status { get; set; }

        /// <summary>
        /// 状态备注
        /// </summary>
        [SugarColumn(ColumnDescription = "状态备注", ColumnDataType = "nvarchar(50)")]
        public string StatusRemark { get; set; }

        /// <summary>
        /// 商户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "商户ID")]
        public int BusienssId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
